<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseItineraryResponse StructType
 * @subpackage Structs
 */
class CruiseItineraryResponse extends AbstractStructBase
{
    /**
     * The CruiseItineraryRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $CruiseItineraryRS;
    /**
     * Constructor method for CruiseItineraryResponse
     * @uses CruiseItineraryResponse::setCruiseItineraryRS()
     * @param \StructType\JP_StaticDataRS $cruiseItineraryRS
     */
    public function __construct(\StructType\JP_StaticDataRS $cruiseItineraryRS = null)
    {
        $this
            ->setCruiseItineraryRS($cruiseItineraryRS);
    }
    /**
     * Get CruiseItineraryRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getCruiseItineraryRS()
    {
        return $this->CruiseItineraryRS;
    }
    /**
     * Set CruiseItineraryRS value
     * @param \StructType\JP_StaticDataRS $cruiseItineraryRS
     * @return \StructType\CruiseItineraryResponse
     */
    public function setCruiseItineraryRS(\StructType\JP_StaticDataRS $cruiseItineraryRS = null)
    {
        $this->CruiseItineraryRS = $cruiseItineraryRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruiseItineraryResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
